# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.assert

Module implementing a check for the use of 'assert'.

### Global Attributes

None

### Classes

None

### Functions

checkAssertUsed | Function to check for the use of 'assert'.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkAssertUsed

checkAssertUsed(reportError, context, config)

Function to check for the use of 'assert'.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up